측정값을 찾을 수 없음
이 문제가 발생하면 API는 404 Not Found 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/measurement-not-found입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
이 조직에서 측정값 <id>를 찾을 수 없습니다. 해당 측정값이 존재하지 않거나 다른 조직에 속해 있거나, 백필을 실행하는 경우 활성화된 이벤트 조건이 없는 상태입니다. 이 조직의 측정값 목록에서 식별자를 확인하고, 백필을 실행하기 전에 해당 측정값의 조건 중 하나를 활성화하세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
id | string |
예시#
json
{
"detail": "Cannot find measurement <id> in this organization. It does not exist, belongs to another organization, or (for a backfill) has no enabled event condition. Check the id against this organization's measurements and enable one of its conditions before a backfill.",
"id": "<id>",
"type": "https://lingo.dev/docs/api/errors/measurement-not-found",
"status": 404,
"title": "Measurement not found"
}이 오류를 반환하는 엔드포인트#
DELETE /v2/organizations/{orgId}/measurements/{measurementId}DELETE /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}GET /v2/organizations/{orgId}/measurements/{measurementId}GET /v2/organizations/{orgId}/measurements/{measurementId}/event-countsPATCH /v2/organizations/{orgId}/measurements/{measurementId}POST /v2/organizations/{orgId}/measurements/{measurementId}/backfillPUT /v2/organizations/{orgId}/measurements/{measurementId}/conditions/{eventType}PUT /v2/organizations/{orgId}/measurements/{measurementId}/enabledPUT /v2/organizations/{orgId}/measurements/{measurementId}/settings